<div class="graph-main-container">
  <div class="graph-container" [ngClass]="{'box-shadow' : isBoxShadowNeeded}">
    <div class="MB10">
      <div class="row">
        <div class="col-sm-12 col-md-6 col-lg-5 col-xl-5"><p class="stats-title">{{graphData.graphTitle}}</p></div>
        <div class="col-sm-12 col-md-6 col-lg-6 col-xl-5">
          <div *ngIf="showTabs">
            <app-iotzen-pills [pillActiveColour]="graphData.dataSetsBackgroundColor"
                                  [defaultActivePillIndex]="0"
                                  [arrayOfPills]="arrayOfDurationPills"
                                  (activePillValue)="getActivePillValue($event)"></app-iotzen-pills>
          </div>
        </div>
      </div>
    </div>
    <div>
      <canvas  id={{canvasId}}></canvas>
    </div>
  </div>
</div>
